package net.northking.cctp.scriptcase.dto.elementLibrary;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuElementFetchTypeDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/27 17:03
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class AtuElementFetchTypeDto implements Serializable {

    @ApiModelProperty("元素获取方式")
    private String type;

    @ApiModelProperty("元素属性表达式")
    private Map<String, Object> value;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Map<String, Object> getValue() {
        return value;
    }

    public void setValue(Map<String, Object> value) {
        this.value = value;
    }
}
